Create Comment
curl --request POST \
--url https://integration.getmateo.com/api/v1/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "now()",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": {},
"text": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/comment"
payload = {
"id": "random uuid",
"created_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "now()",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": {},
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
updated_at: 'now()',
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
author_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
content: {},
text: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "now()",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": {}
}{
"id": "random uuid",
"created_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "now()",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": {}
}This response has no body data.Comment
Create Comment
Create a new comment
Create Comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
comment
Comment ID
Comment creation date
Organisation ID
Latest update
Conversation ID
Message ID
Author ID
Content of comment
Text content for the comment. Can be plain text or HTML.
Response
The updated Comment object
Comment ID
Comment creation date
Organisation ID
Latest update
Conversation ID
Message ID
Author ID
Content of comment
⌘I